Subject: Re: [PATCH] doc: replace jargon word "impact" with "effect"/"affect"

From: Felipe Contreras <[email-masked]>
Date: Tue, 11 May 2021 22:21:44 -0500

Michal Suchánek wrote:
> On Tue, May 11, 2021 at 02:59:32PM -0500, Felipe Contreras wrote:
> > Varun Varada wrote:
> > > On Tue, 6 Apr 2021 at 04:24, Michal Suchánek <[email-masked]> wrote:
> > > > while using "will not impact" in an incorrect or unclear way may be a
> > > > problem the word "impact" in itself is not "jargon".
> > > 
> > > The word means "to have a strong or marked effect on" (v.) and "a
> > > strong or market influence" (n.) when used figuratively; it is not
> > > synonymous with "affect" and "effect", respectively, as shown even by
> > > all of the entries you've cited. Using it as such is the incorrect
> > > part, so those are the instances I've changed in the diff.
> > 
> > There are two ways impact can be used as a verb: transitive and
> > intransitive, but git doesn't seem to be using the intransitive form. In
> > the transitive form it usually means to strike "the car impacted the
> > tree". But it can also mean to have a desired effect "reducing CO2
> > emissions impacted climate change".
> 
> I don't know where you find the 'desired' effect meaning. Certainly none
> of the dictionaries I consulted at random provides such definition.

You yourself consulted Merriam-Webster [1]:

  impact _verb_
  : to have a direct effect or impact on : impinge on

Did you not? [2]

> > None of these are used in the documentation, we have things like:
> > 
> >   the index does not impact the outcome
> > 
> > Which is clearly wrong (unless we are talking about possitive outcome of
> > the outcome, which makes no sense).
> 
> It is not clearly wrong. To me it makes perfect sense. If you want to
> claim it's wrong please provide a source for your claim.

Merriam-Webster [1].

> > As a noun it can mean a siginificant or major effect: "the impact of
> > science".
> > 
> > However, the documentation is not using it that way:
> > 
> >   the runtime impact of tracking all omitted objects
> > 
> > The noun usage is less wrong than the verb usage, but it's still wrong.
> 
> Why is that wrong?

Because it's not a "a significant or major effect" [1].

> How did you infer that the effect is insignificant or minor?

I did not.

If I claim temperature $x is not hot, that doesn't mean I'm claiming
it's cold.

> In fact while some dictionaries list 'impact' as 'have strong effect'
> the Oxford dicrionary lists is as simply synonymous to 'affect'.

Synonymous doesn't mean equal. In fact, the Oxford dictionary defines
"impact" as [3]:

 the powerful effect that something has on somebody/something

Note: *powerful*.

> > But why bother? The word "affect" is a much superior choice.
> 
> Why bother with a chenge at all?

Because it's better.

Do you have any evidence that it's worse?

[1] https://www.merriam-webster.com/dictionary/impact
[2] https://lore.kernel.org/git/[email-masked]/
[3] https://www.oxfordlearnersdictionaries.com/definition/english/impact_1

-- 
Felipe Contreras